<?php 

 add_action('init', 'add_button_table');
 
 function add_button_table() {
   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
   {
     add_filter('mce_external_plugins', 'add_plugin_table');
     add_filter('mce_buttons_3', 'register_button_table');
   }
}

function register_button_table($buttons) {
   array_push($buttons, "table");
   return $buttons;
}

function add_plugin_table($plugin_array) {
   $plugin_array['table'] = get_template_directory_uri().'/Lioit/tinymce/table.js';
   return $plugin_array;
}
